import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  name: SortOrderSchema.optional(),
  mimeType: SortOrderSchema.optional(),
  fileSize: SortOrderSchema.optional(),
  folderId: SortOrderSchema.optional(),
  isComplete: SortOrderSchema.optional(),
  totalChunks: SortOrderSchema.optional(),
  diskPath: SortOrderSchema.optional(),
  createdAt: SortOrderSchema.optional(),
  updatedAt: SortOrderSchema.optional()
}).strict();
export const CloudFileMaxOrderByAggregateInputObjectSchema: z.ZodType<Prisma.CloudFileMaxOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.CloudFileMaxOrderByAggregateInput>;
export const CloudFileMaxOrderByAggregateInputObjectZodSchema = makeSchema();
